import React from "react";
import { Link } from "gatsby";
import { StaticImage } from "gatsby-plugin-image";

// import logo from "../images/logo-egeo.png";

interface Props {
  to?: string;
  className?: string;
  src?: string;
  title: string;
  image: any
}

const Logo = (props: Props) => {
  const { to = "#", className = "", title, image } = props;

  return (
    <div className="flex justify-center flex-col items-center w-[150px]">
      <Link to={to} className={className}>
        <img 
          src={image}
          alt="Logo"
          height={40}
          className="my-2"
        />
      </Link>
      <div>{title}</div>
    </div>
  );
};

export default Logo;
